## org.apache.axis.wsdl.symbolTable
Interface Undefined

All Known Implementing Classes:
  UndefinedDelegate, UndefinedElement, UndefinedType

public interface Undefined

This Undefined interface is implemented by UndefinedType and UndefinedElement.

Method Summary
`void` `register(TypeEntry referrant)` Register referrant TypeEntry so that the code can update the TypeEntry when the Undefined Element or Type is defined
`void` `update(TypeEntry def)` Call update with the actual TypeEntry.

Method Detail

### register

    public void register(TypeEntry referrant)

  Register referrant TypeEntry so that the code can update the TypeEntry when the Undefined Element or Type is defined

  Parameters:
    `referrant` -

### update

    public void update(TypeEntry def)
                throws java.io.IOException

  Call update with the actual TypeEntry. This updates all of the referrant TypeEntry's that were registered.

  Parameters:
    `def` -
  Throws:
    `java.io.IOException`

Copyright © 2005 Apache Web Services Project. All Rights Reserved.